@echo off

echo ======================================
echo 停用Haosiji进程、服务、自动更新
echo 确定 请按任意键
echo 取消 请关闭此窗口
echo ======================================
pause >nul

net stop haosijisvr >nul 2>nul
taskkill /f /im Haosiji.exe >nul 2>nul
taskkill /f /im HaosijiServerMonitor.exe >nul 2>nul
taskkill /f /im HaosijiServer.exe >nul 2>nul
ping 127.1 -n 2 >nul
sc delete haosijisvr >nul 2>nul
echo.

echo ======================================
echo 停用Haosiji完成...
echo 如需再次启用，请直接运行Haosiji.exe
echo ======================================

pause
